﻿@{
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}
@section Scripts{
    <script src="~/controller/product/products.js"></script>
    <script>
        var product = new productsController();
        product.initialize();
    </script>
}
<script language="javascript">
                                    <!--
    function ToggleAll(e, action) {
        if (e.checked) {
            CheckAll();
        }
        else {
            ClearAll();
        }
    }

    function CheckAll() {
        var ml = document.forms[0];
        var len = ml.elements.length;
        for (var i = 1; i < len; i++) {
            var e = ml.elements[i];

            if (e.name.toString().indexOf("chkSelect") > 0)
                e.checked = true;
        }
        ml.MainContent_GridItemList_toggleSelect.checked = true;
    }

    function ClearAll() {
        var ml = document.forms[0];
        var len = ml.elements.length;
        for (var i = 1; i < len; i++) {
            var e = ml.elements[i];
            if (e.name.toString().indexOf("chkSelect") > 0)
                e.checked = false;
        }
        ml.MainContent_GridItemList_toggleSelect.checked = false;
    }

    function selectChange() {
        var radioButtons = document.getElementsByName("rblType");
        for (var x = 0; x < radioButtons.length; x++) {
            if (radioButtons[x].checked) {
                if (radioButtons[x].value == 1) { CheckAll(); }
            }
        }

    }

    // -->
</script>
<div class="row page-header">
    <a href="/admin/product/product" class="btn btn-success btn-sm">
        <span class="glyphicon glyphicon-plus"
              aria-hidden="true"></span>&nbsp;Thêm mới
    </a>
    <asp:LinkButton ID="Lbsave" runat="server" class="btn btn-default btn-sm" OnClick="lbtSave_Click"><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>&nbsp;Lưu</asp:LinkButton>
    <a href="#" onclick="javascript:document.location.reload(true);" class="btn btn-default btn-sm">
        <span class="glyphicon glyphicon-random" aria-hidden="true"></span>&nbsp;Refresh
    </a>
    <asp:LinkButton ID="Lbdelete" runat="server" class="btn btn-default btn-sm" OnClick="lbtDelete_Click"
                    OnClientClick="return confirm('Bạn có chắc chắn xóa không?');"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span>&nbsp;Xóa</asp:LinkButton>
</div>
<div class="row page-header">
        <div class="form-inline">
            <div class="form-group">
                <input type="text" class="form-control col-sm-6" id="txtKeyword" placeholder="Từ khóa" /> &nbsp;
                <a id="btnSearch" class="btn btn-default">Tìm kiếm</a>
            </div>

        </div>
    </div>
<div class="row">
    <div class="panel panel-primary">
        <div class="panel-heading">
            <h3 class="panel-title">
                Tin tức
            </h3>
        </div>
        <div class="panel-body table-responsive">
           <div class="panel-body table-responsive">
                <table class="table table-striped">
                    <tr>
                        <td>
                            #
                        </td>
                        <td>
                            Hình
                        </td>
                        <td>
                            Tên
                        </td>
                        <td>
                            Trạng thái
                        </td>

                        <td>
                            Chỉnh sửa
                        </td>
                        <td>
                            Xóa
                        </td>
                    </tr>
                    <tbody id="tblProduct">
                        
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<script>
    function deleteProduct() {
        Swal.fire({
            title: 'Are you sure?',
            text: "You won't be able to revert this!",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
            if (result.isConfirmed) {
                Swal.fire(
                    'Deleted!',
                    'Your file has been deleted.',
                    'success'
                )
            }
        })
    }
</script>

            <script id="table-product" type="x-tmpl-mustache">
        <tr>
            <td>{{Stt}}</td>
            <td><b>{{{Image}}}</b></td>
            <td><b>{{Name}}</b></td>
            <td><b>{{{Status}}}</b></td>
            <td scope="row">
                <a class="btn  btn-sm" href="/admin/product/product?id={{Id}}"><i class="fa fa-pencil"></i></a>
            </td>
            <td scope="row">
                <a class="btn  btn-sm" onclick="deleteProduct('{{Id}}')"><i class="fa fa-trash"></i></a>
            </td>
        </tr>
    </script>